Expand description
§orbok-core
Shared vocabulary for the orbok local-first document search
application: typed identifiers, the RFC-001 data lifecycle classes,
lifecycle status enums shared between the catalog (RFC-002) and the
scanner (RFC-004), pipeline version constants, error types, and time
helpers.
This crate is dependency-light by design. It must not depend on the database, the file system layer, or the UI.
Re-exports§
pub use data_class::CleanupAction;pub use data_class::CleanupPlan;pub use data_class::DataClass;pub use data_class::StorageCategory;pub use data_class::StorageMeasurement;pub use error::ErrorCategory;pub use error::OrbokError;pub use error::OrbokResult;pub use history::SearchHistoryEntry;pub use history::SearchHistoryId;pub use history::SearchHistorySettings;pub use history::StoredChangedFilter;pub use history::StoredKindFilter;pub use history::StoredLanguageFilter;pub use history::StoredReadyFilter;pub use history::StoredSearchFilter;pub use history::StoredSearchStyle;pub use id::ChunkId;pub use id::EmbeddingId;pub use id::EventId;pub use id::ExtractionId;pub use id::FileId;pub use id::JobId;pub use id::ModelId;pub use id::QueryId;pub use id::SourceId;pub use privacy::DiagnosticsPolicy;pub use privacy::LocalDataCategory;pub use privacy::PrivacySettings;pub use status::FileStatus;pub use status::HiddenFilePolicy;pub use status::IndexMode;pub use status::JobStatus;pub use status::JobType;pub use status::PersistenceMode;pub use status::SEARCHABLE_SOURCE_STATUS_SQL;pub use status::SourceStatus;pub use status::SourceType;pub use status::SymlinkPolicy;pub use timeutil::now_iso8601;pub use timeutil::system_time_iso8601;
Modules§
- data_
class - RFC-001 data lifecycle classification.
- error
- Application error types.
- folder_
cover - What “a folder covers” means for paths (RFC-064 §3.3, Task 113).
- history
- Search history core types (RFC-042).
- id
- Typed application-level identifiers.
- privacy
- Privacy settings and local data visibility (RFC-039 §6, §17, as amended 2026-09-25).
- status
- Lifecycle status vocabulary shared by the catalog (RFC-002), the source boundary (RFC-003), and the scanner (RFC-004).
- timeutil
- UTC timestamp helpers (external design §9.3: ISO-8601 UTC strings).
- versions
- Pipeline version constants.
Structs§
- Folder
Scope - One folder restriction: a registered source, optionally a subfolder of it, and whether nested folders count.
- Search
Scope - The scope of one search. Empty means unrestricted.